GNU bug report logs - #53953
[PATCH] gnu: Add acpilight.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brice Waegeneire <brice@HIDDEN>; Keywords: patch; dated Sat, 12 Feb 2022 10:45:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 5 Apr 2022 16:07:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 12:07:02 2022
Received: from localhost ([127.0.0.1]:55898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nblhu-0005Xm-Ad
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2022 12:07:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nblhs-0005XK-JD
 for 53953 <at> debbugs.gnu.org; Tue, 05 Apr 2022 12:07:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35440)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nblhl-0006tU-OC; Tue, 05 Apr 2022 12:06:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=e0KCzrWGe8kRv1a/tqbNKe1yve6Oo5F7T8kg0hpimsE=; b=YepYMczebzRaSwURWjOa
 sp56tmSJdoAFyEobWuBDa2NTos1VIDh1cwPaMhXYmN+sVnN31RfowZmNJo0h5WHf8+8hjdhWyRt1d
 t0jpuMF8TvL20mDaDSORPzmbxOOj2EO3WyZyzLORXxmzvrtUu5c1D79sisIIXcUgEXnjlQUmfINHS
 kS5roiapMhEy55ywZpHIAqyMOP78OZcWp4B6PBR6djEAWoOb6yeDPSugxzjMoE5CfOaQCo5auvgdz
 9EazYd9xFZWgnDJzPPCBsWKI9HTvt7sxR15ezdnrcgFqNKI1fph5DT5bKRvtlZTCQFvWs2Arp3ied
 5WGyVryAFRGrEA==;
Received: from [193.50.110.173] (port=58780 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nblhl-00052a-B2; Tue, 05 Apr 2022 12:06:53 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>
Subject: Re: bug#53953: [PATCH] gnu: Add acpilight.
References: <20220212104432.22611-1-brice@HIDDEN>
 <20220216072232.23819-1-brice@HIDDEN> <87mti2kcfu.fsf_-_@HIDDEN>
Date: Tue, 05 Apr 2022 18:06:51 +0200
In-Reply-To: <87mti2kcfu.fsf_-_@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s?=
 =?utf-8?Q?=22's?= message of "Sun, 06 Mar 2022 22:17:57 +0100")
Message-ID: <87bkxfms4k.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53953
Cc: 53953 <at> debbugs.gnu.org, maximedevos@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ping! :-)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> Hi Brice,
>
> Brice Waegeneire <brice@HIDDEN> skribis:
>
>> * gnu/packages/linux.scm (acpilight): New variable.
>
> LGTM, please push!
>
> Thanks,
> Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 6 Mar 2022 21:18:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 06 16:18:07 2022
Received: from localhost ([127.0.0.1]:51831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQyGU-0000jN-RG
	for submit <at> debbugs.gnu.org; Sun, 06 Mar 2022 16:18:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nQyGT-0000ip-5R
 for 53953 <at> debbugs.gnu.org; Sun, 06 Mar 2022 16:18:05 -0500
Received: from [2001:470:142:3::e] (port=57466 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nQyGN-0006v2-CL; Sun, 06 Mar 2022 16:17:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=gso3WKwQxO2CwVgmdoiAKV1Dvogs3/fivyYhXjz2oX4=; b=kOyLAI3+kYxtEzcLAZRh
 MnzrIo3Hdrldk50hjngx+0Lz/lWjs8dkMZKB3RkoDUeNm1sqd8pGwUGdLyAHHUvRViToTs+56OGcQ
 Mm3u/nhGTz+dYHSOfIJIf9uSi1RD2sY+fzV2oS+sTzdvaO3gvyV4zy5nt276IdWz2UKMC4Zg6LqEY
 ACuVucQB7KrvSK/k/OCx6TwMjqOGchBneB1cZhHmhRE6x3qX7h3uHPqkjD6rE5AiGMx0kq1MSE34J
 9UXQFuPdP9YLEpMm7II8gRH7CFwGSoM6OK1db/zCdB1Pct0BqhwKBYQkIHUykLqnKsM4SZxddQzhF
 XHbNqusIkQ6NRw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50144
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nQyGM-0007Tl-Ve; Sun, 06 Mar 2022 16:17:59 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>
Subject: Re: bug#53953: [PATCH] gnu: Add acpilight.
References: <20220212104432.22611-1-brice@HIDDEN>
 <20220216072232.23819-1-brice@HIDDEN>
Date: Sun, 06 Mar 2022 22:17:57 +0100
In-Reply-To: <20220216072232.23819-1-brice@HIDDEN> (Brice Waegeneire's
 message of "Wed, 16 Feb 2022 08:22:32 +0100")
Message-ID: <87mti2kcfu.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53953
Cc: 53953 <at> debbugs.gnu.org, maximedevos@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Brice,

Brice Waegeneire <brice@HIDDEN> skribis:

> * gnu/packages/linux.scm (acpilight): New variable.

LGTM, please push!

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 16 Feb 2022 07:22:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 16 02:22:52 2022
Received: from localhost ([127.0.0.1]:47215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKEeK-0003nS-8W
	for submit <at> debbugs.gnu.org; Wed, 16 Feb 2022 02:22:52 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:53153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1nKEeC-0003n8-E6
 for 53953 <at> debbugs.gnu.org; Wed, 16 Feb 2022 02:22:50 -0500
Received: (Authenticated sender: brice@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 18B4124000A;
 Wed, 16 Feb 2022 07:22:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=waegenei.re; s=gm1;
 t=1644996157;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=dgvb6YVrhsGaELk8W6v9jglX/1kBr8a20bZrVqyT/xc=;
 b=pOUA6dpsaG791mskyCd0cGSVJG8S2FNZs5AAwO12sCT6JCiZVsw5607m9q4KGatrjsdq6E
 fb4LP82ISaRifc5lCTP9iEiuVm/jorPP7EkVA62pr6pK7py5dmeL2Tp9qn/LG5HjeltPRV
 t9Ngxh1K26ubW6wz9OplUms55gncsuUQv5w5qdh6nwTPpMDjWgui4WdGakovXDj0af/n+P
 DNvZI45N4IB4GndV4AhbbLL3QFyBudBzuY3RfphjLSFX78ecMv77ApngJ38y6mlTLz5UiH
 zFHMrPcnRvJyqoPTnLt2rPm98nJ99bEb7HTzkjoLM4NvW8xOWkbIErqteLS99A==
From: Brice Waegeneire <brice@HIDDEN>
To: maximedevos@HIDDEN
Subject: [PATCH v3] gnu: Add acpilight.
Date: Wed, 16 Feb 2022 08:22:32 +0100
Message-Id: <20220216072232.23819-1-brice@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 53953
Cc: 53953 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/linux.scm (acpilight): New variable.
---
Hello Maxime,

Maxime Devos <maximedevos@HIDDEN> writes:

> Brice Waegeneire schreef op za 12-02-2022 om 18:21 [+0100]:
>> As for the odd make-flags, this is because of the uncanonical Makefile¹ of
>> acpilight, It don't build with an empty DESTDIR.
>> 
>> ¹ https://gitlab.com/wavexx/acpilight/-/blob/master/Makefile
>
> Looks like the problem is caused by 'sysconfdir' not being based
> on 'prefix', but that can be resolved by
>
> #~(list (string-append "prefix=" #$output)
> 	(string-append "sysconfdir=" (string-append #$output "/etc")))
>
> which is not 100% canonical, but it does seems closer to me?

I remember trying someting like that unsuccesfully before sending the previous
patch version but I probablly missend something because it actually work!

> Also, apparently there's a 'python-minimal' package, so you could use
> that instead of 'python' to reduce the closure?  Might be counter-
> productive though, since most packages seem to use plain 'python'
> instead ...

Done.

Cheers,
- Brice

 gnu/packages/linux.scm | 44 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 43 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 4edb5bf858..fd68901391 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -35,7 +35,7 @@
 ;;; Copyright © 2019 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2019 Stefan Stefanović <stefanx2ovic@HIDDEN>
-;;; Copyright © 2019, 2020, 2021 Brice Waegeneire <brice@HIDDEN>
+;;; Copyright © 2019-2022 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright © 2019 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2020, 2021 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright © 2020 Pierre Neidhardt <mail@HIDDEN>
@@ -8806,3 +8806,45 @@ (define-public libgpiod
     (license (list license:lgpl2.1+   ;; libgpiod
                    license:gpl2+      ;; gpio-tools
                    license:lgpl3+)))) ;; C++ bindings
+
+(define-public acpilight
+  (package
+    (name "acpilight")
+    (version "1.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://gitlab.com/wavexx/acpilight.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1r0r3nx6x6vkpal6vci0zaa1n9dfacypldf6k8fxg7919vzxdn1w"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list #:tests? #f                  ; no tests
+           #:make-flags
+           #~(list (string-append "prefix=" #$output)
+                   (string-append "sysconfdir=" #$output "/etc"))
+           #:phases
+           #~(modify-phases %standard-phases
+               (delete 'configure)
+               (add-after 'unpack 'patch
+                 (lambda* (#:key inputs #:allow-other-keys)
+                   ;; Prevent reloading udev at build time
+                   (substitute* "Makefile"
+                     (("udevadm") "true"))
+                   (substitute* "90-backlight.rules"
+                     (("/bin")
+                      (string-append (assoc-ref inputs "coreutils-minimal")
+                                     "/bin"))))))))
+    (inputs
+     (list coreutils-minimal
+           python-minimal))
+    (home-page "https://gitlab.com/wavexx/acpilight")
+    (synopsis "Backward-compatibile xbacklight replacement")
+    (description "acpilight is a backward-compatibile replacement for
+xbacklight that uses the ACPI interface to set the display
+brightness.  On modern laptops acpilight can control both display and
+keyboard backlight uniformly on either X11, the console or Wayland.")
+    (license license:gpl3+)))

base-commit: 52269e27c628d34af896e95347870b1755cb3e5f
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 12 Feb 2022 18:05:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 13:05:29 2022
Received: from localhost ([127.0.0.1]:35622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIwm0-0008Ci-P3
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 13:05:29 -0500
Received: from baptiste.telenet-ops.be ([195.130.132.51]:46444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nIwly-0008CY-0i
 for 53953 <at> debbugs.gnu.org; Sat, 12 Feb 2022 13:05:27 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id uJ5Q2600B4UW6Th01J5Qhe; Sat, 12 Feb 2022 19:05:24 +0100
Message-ID: <75d1cbd06f8a3a555090de6f698a138631cc04e0.camel@HIDDEN>
Subject: Re: [PATCH v2] gnu: Add acpilight.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>
Date: Sat, 12 Feb 2022 19:05:24 +0100
In-Reply-To: <20220212172125.3648-1-brice@HIDDEN>
References: <20220212172125.3648-1-brice@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-//A+w6PzvO+RZrm99aQv"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644689124; bh=2sOl8B88SN+JbWTgzpLJyZCSixEYI79Mhgu0tbcLLyA=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=D0XiGARQE4NOI7MidEOY0BcU1N8fp7pTYwG4WJ7uDSAsud+PdZTyJYZQAqmjRn+/m
 VmmAZ2d/zyKNi04W8Bmw2m6q73f4+2S/jWYieLzpWftiFKUMf52wqM7wt5cukvyvM2
 /H6n+DMOU20mhljjvlixZogkFNFzyyWJU3l8nFuMAYQ0A//GTFzp9i7JC60cS9Ly2E
 FRwm06UBR7h3L6I7565mp3D8ymkUDxQwhdCHkzr5MBXNHDGfWPGMPSoHKxz7HigEtP
 d2SRBLU05IR2NBJDQHz2Pn4TMEBrtfwWikhJL/fOFfQs0nk7fkRgHaVW1UMAcwUP3J
 Rp+Hv8nRrCpPw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53953
Cc: 53953 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-//A+w6PzvO+RZrm99aQv
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brice Waegeneire schreef op za 12-02-2022 om 18:21 [+0100]:
> As for the odd make-flags, this is because of the uncanonical Makefile=C2=
=B9 of
> acpilight, It don't build with an empty DESTDIR.
>=20
> =C2=B9 https://gitlab.com/wavexx/acpilight/-/blob/master/Makefile

Looks like the problem is caused by 'sysconfdir' not being based
on 'prefix', but that can be resolved by

#~(list (string-append "prefix=3D" #$output)
	(string-append "sysconfdir=3D" (string-append #$output "/etc")))

which is not 100% canonical, but it does seems closer to me?

Also, apparently there's a 'python-minimal' package, so you could use
that instead of 'python' to reduce the closure?  Might be counter-
productive though, since most packages seem to use plain 'python'
instead ...

whose closure
would be smaller than

--=-//A+w6PzvO+RZrm99aQv
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYgf25BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7g3XAQDburGZKiGIqfcmxCQ4WMlm5R8c
TnTcBPqE1+BlFHClnAD/fuLdtlIGd9dsy1OjzhdjH/P9K1Gc6bu9l4eOvXBD5gU=
=tbCv
-----END PGP SIGNATURE-----

--=-//A+w6PzvO+RZrm99aQv--





Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 12 Feb 2022 17:21:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 12:21:37 2022
Received: from localhost ([127.0.0.1]:35559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIw5Z-00071A-8i
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 12:21:37 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:48129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1nIw5W-00070u-OF
 for 53953 <at> debbugs.gnu.org; Sat, 12 Feb 2022 12:21:36 -0500
Received: (Authenticated sender: brice@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 29B1320002;
 Sat, 12 Feb 2022 17:21:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=waegenei.re; s=gm1;
 t=1644686488;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=1YZZMfmTB6PdLZ4C4p5cb+t4gXcFGQLcqOQj/5cLJWQ=;
 b=iGZ3VaU5ZZwReUL0/PsZ6ra/d85YjHO5pg1ThjBx56f6LPfJgLxRHXbHyPyQOB9/eZazkn
 eHycikh46hfvl84FVrLTI9dxzBX88qTnaLJ5N1+f00G4bZvHcFo2Y8VMCYAflOSaO/sWmk
 7vKrZ8UxKLB7PeVO1VKWYfZ4Sr7bX9+ZWSM6dD7t/oVOKofVA01Xtv6n99StgMz/qIHE5D
 rNRf+pcUHdB+vOM1MnILrEKyFBJ7Kse8NU8m5PJ4mIEhBwAHGygLhSOElZO2ifbQopQUwH
 yMcLZkJH0qe81iapLzyNO8T0c70+c8oK4ssY7Q9Mliqji7fWtFt82Nn00+Z9vQ==
From: Brice Waegeneire <brice@HIDDEN>
To: maximedevos@HIDDEN
Subject: [PATCH v2] gnu: Add acpilight.
Date: Sat, 12 Feb 2022 18:21:25 +0100
Message-Id: <20220212172125.3648-1-brice@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 53953
Cc: 53953 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/linux.scm (acpilight): New variable.
---
Maxime,

Thanks for the review.  I should have re-read this old package more throughly,
I have fixed what you pointed out:
- using gexp in arguments field
- don't returning #t in phases
- adding coreutils-minimal to inputs

As for the odd make-flags, this is because of the uncanonical Makefile¹ of
acpilight, It don't build with an empty DESTDIR.

¹ https://gitlab.com/wavexx/acpilight/-/blob/master/Makefile

Cheers,
- Brice

 gnu/packages/linux.scm | 40 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 39 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index bcbaa2166d..fe88d9ad26 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -35,7 +35,7 @@
 ;;; Copyright © 2019 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2019 Stefan Stefanović <stefanx2ovic@HIDDEN>
-;;; Copyright © 2019, 2020, 2021 Brice Waegeneire <brice@HIDDEN>
+;;; Copyright © 2019-2022 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright © 2019 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2020, 2021 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright © 2020 Pierre Neidhardt <mail@HIDDEN>
@@ -8806,3 +8806,41 @@ (define-public libgpiod
     (license (list license:lgpl2.1+   ;; libgpiod
                    license:gpl2+      ;; gpio-tools
                    license:lgpl3+)))) ;; C++ bindings
+
+(define-public acpilight
+  (package
+    (name "acpilight")
+    (version "1.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://gitlab.com/wavexx/acpilight.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1r0r3nx6x6vkpal6vci0zaa1n9dfacypldf6k8fxg7919vzxdn1w"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list #:tests? #f  ;no tests
+           #:make-flags #~(list "prefix="
+                                (string-append "DESTDIR=" #$output))
+           #:phases
+           #~(modify-phases %standard-phases
+               (delete 'configure)
+               (add-after 'unpack 'patch
+                 (lambda* (#:key inputs #:allow-other-keys)
+                   (substitute* "Makefile"
+                     (("udevadm") "true"))
+                   (substitute* "90-backlight.rules"
+                     (("/bin")
+                      (string-append (assoc-ref inputs "coreutils-minimal") "/bin"))))))))
+    (inputs
+     (list python coreutils-minimal))
+    (home-page "https://gitlab.com/wavexx/acpilight")
+    (synopsis "Backward-compatibile xbacklight replacement")
+    (description "acpilight is a backward-compatibile replacement for
+xbacklight that uses the ACPI interface to set the display
+brightness.  On modern laptops acpilight can control both display and
+keyboard backlight uniformly on either X11, the console or Wayland.")
+    (license license:gpl3+)))

base-commit: e641d707e1ec8de2bfc658dcd1757360300aa509
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 12 Feb 2022 13:38:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 08:38:43 2022
Received: from localhost ([127.0.0.1]:33763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIsbr-0000uQ-BF
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 08:38:43 -0500
Received: from laurent.telenet-ops.be ([195.130.137.89]:56478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nIsbp-0000uI-1J
 for 53953 <at> debbugs.gnu.org; Sat, 12 Feb 2022 08:38:41 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id uDef260094UW6Th01DefVe; Sat, 12 Feb 2022 14:38:39 +0100
Message-ID: <df07d4e4b97b3d76a38a639634c794ba89f2d3c4.camel@HIDDEN>
Subject: Re: [bug#53953] [PATCH] gnu: Add acpilight.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>, 53953 <at> debbugs.gnu.org
Date: Sat, 12 Feb 2022 14:38:39 +0100
In-Reply-To: <20220212104432.22611-1-brice@HIDDEN>
References: <20220212104432.22611-1-brice@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ahwbOKMCjiBbqY/rO/Fd"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644673119; bh=JK35m2J8y9xu+3K+mbANwK515eTw8vMbKSXWIsrO6YA=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=Rxdff980+gvaUtuqACwPlYHuRS6KmFWdrYLErzw5PzJBFAKxP+Myh5n4rEuCkly+q
 vqeZy1oi7fyIKuXJmWUd69Ni3hT3FQGaH1hAXEYU7KKeYzPFXQ3unoum8Ce3dO1XOO
 SGSOJTnjzUZwkZ8D90+t9Z7QkBX7Eg30Bj0lQpDk6w00EMATrtptIy5uxW4PI4jPrN
 dGkim2RdgD/cy0/5Gd394NTFEa5XtMjGRvj2NV+3eE3NUB5CwZ1EpHIdZ2Mvhu2tRk
 7FiRP+fzA1E7a1fTHUFMUBSinlsjPSFfeGCMjSaUoorzwoHiPx3KVlGthuLFGJx/bq
 PKVjTu+q/eCoQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53953
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-ahwbOKMCjiBbqY/rO/Fd
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brice Waegeneire schreef op za 12-02-2022 om 11:44 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:make-flags (list "prefix=3D"
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0 (string-append "DESTDIR=3D"
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (assoc-ref %outputs "out")))

%outputs, %build-inputs and friends are being deprecated (not 100%
sure, you might want to confirm with ludo) in favour of G-exps. More
concretely: (list #:make-flags #~(list "prefix=3D" (string-append
"DESTDIR=3D" #$output))).

Also, about prefix=3D and DESTDIR=3D, it's normally the other way around.

#~(list=C2=A0; (probably) no need to set DESTDIR=3D, it's normally "" by de=
fault:
        (string-append "prefix=3D" #$output)).

(Search for "Staged installation" for details)

Also, are you sure about the case of 'prefix'?  Usually, Makefiles use
uppercase 'PREFIX' and not 'prefix' (for ./configure, it's other way
around).

Greetings,
Maxime.



--=-ahwbOKMCjiBbqY/rO/Fd
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYge4XxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7jkuAP9/yZkZ96dc0nxDRvutFkcgzePC
x6TdfnvGoBtvAUaT4QD8C3O8dHAWi2Zbbgi5BxrZD+MNpA84cmivbhfwLDgpWwg=
=KOzY
-----END PGP SIGNATURE-----

--=-ahwbOKMCjiBbqY/rO/Fd--





Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at 53953 <at> debbugs.gnu.org:


Received: (at 53953) by debbugs.gnu.org; 12 Feb 2022 13:34:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 08:34:06 2022
Received: from localhost ([127.0.0.1]:33758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIsXN-0000nw-QV
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 08:34:05 -0500
Received: from michel.telenet-ops.be ([195.130.137.88]:40860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nIsXL-0000nn-Po
 for 53953 <at> debbugs.gnu.org; Sat, 12 Feb 2022 08:34:04 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id uDa22600A4UW6Th06Da2Y6; Sat, 12 Feb 2022 14:34:02 +0100
Message-ID: <08cb022c244b31849d6802097533790d9b41b294.camel@HIDDEN>
Subject: Re: [bug#53953] [PATCH] gnu: Add acpilight.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>, 53953 <at> debbugs.gnu.org
Date: Sat, 12 Feb 2022 14:34:02 +0100
In-Reply-To: <20220212104432.22611-1-brice@HIDDEN>
References: <20220212104432.22611-1-brice@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-vfh/1Ft4NrMg3wYnIduv"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644672842; bh=4Dke5X8+AkRzMAgLOsjrI4nLAbcYgvaB1oPwqbnhwe8=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=FUdeDMw7rmMwiQqbeAWMnv/pT1v6rdbtvDkv+4nmKiBdfSWtAfdysQn7QgCQCPm3d
 DYE/VnV0dINOQbta+u6LVmGhKRGO5jE8mUeYwBgloJWdLTne/5AdBADlsqosLIunx1
 SrkrPybx90M9AG7jTZf1WNwmWfqnaYk3WcZM5Rm2s00Gj2J3Cywfy/+hGum5IrDcT5
 YZcXC0Scd5VXhmPPzr0GB5MLIMlRmZaAr7iP0CfD4kgv63VLRRdzlhH6K9ygfdtma1
 Wx+hoeNNmnlYvrIuPUG3yAoOb9gqsacVYGnDI2jEBTrbWO+CBgOKfsfiKMshZenVJX
 XyP2QLZNhlLkw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53953
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-vfh/1Ft4NrMg3wYnIduv
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

QnJpY2UgV2FlZ2VuZWlyZSBzY2hyZWVmIG9wIHphIDEyLTAyLTIwMjIgb20gMTE6NDQgWyswMTAw
XToKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChzdWJzdGl0dXRlKiAiOTAtYmFja2xpZ2h0
LnJ1bGVzIgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICgoIi9iaW4iKQo+ICvCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKHN0cmluZy1hcHBlbmQgKGFzc29jLXJlZiBpbnB1
dHMgImNvcmV1dGlscyIpICIvYmluIikpKQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgI3Qp
KSkpKQo+ICvCoMKgwqAgKGlucHV0cwo+ICvCoMKgwqDCoCAobGlzdCBweXRob24pKQoKY29yZXV0
aWxzLW1pbmltYWwgbmVlZHMgdG8gYmUgYWRkZWQgdG8gaW5wdXRzLCBvdGhlcndpc2UgdGhlCnN1
YnN0aXR1dGUqIGFib3ZlIHdvbid0IHdvcmsgd2hlbiBjcm9zcy1jb21waWxpbmcuICBBbHNvLCBw
aGFzZXMgZG8gbm90CmhhdmUgdG8gcmV0dXJuICN0IGFueW1vcmUuCgpHcmVldGluZ3MsCk1heGlt
ZQo=


--=-vfh/1Ft4NrMg3wYnIduv
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYge3ShccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7gzKAP9Z2vImF3N5q23DVq6fxv3Bxgt2
jgSDyL8wmgQMyG+3NgD+Oj9CrBwn2qUV/JpXX5MhABXE9Z6UfgrcjVZhREYRugg=
=xdKk
-----END PGP SIGNATURE-----

--=-vfh/1Ft4NrMg3wYnIduv--





Information forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2022 10:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 05:44:51 2022
Received: from localhost ([127.0.0.1]:33580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIptY-0000E2-02
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 05:44:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:53788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1nIptU-0000Dr-0z
 for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 05:44:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53460)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1nIptS-0005ns-Ib
 for guix-patches@HIDDEN; Sat, 12 Feb 2022 05:44:43 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:44945)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1nIptQ-0007YI-Au
 for guix-patches@HIDDEN; Sat, 12 Feb 2022 05:44:42 -0500
Received: (Authenticated sender: brice@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 18D0020002
 for <guix-patches@HIDDEN>; Sat, 12 Feb 2022 10:44:35 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=waegenei.re; s=gm1;
 t=1644662676;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=xwEJ01BeuFxVeiQNwmwOpyeXGwH5qcs1nU8LCY+44XU=;
 b=GMl2w7xA0LFSyOf4N8cPdKg1o4wfd4aMAxHHPzlwg4Q0d+S+A1YDD6HlJ1UPVGP6lJU6zO
 mvg1PjCd9WDwDhsvhWevFgAcTEbdCjccHmDdBfLc8ihRSeoQvUxxXrb9VPAopaf7eLjOmU
 3JDd1+Op1qNKNQaj0J3YaMDKbt0MqlZ1y802ioOtrlFuCIVt3zQXA3LdilYMuwzHL2II9t
 uAW+xowwWGM7+e/jTM9xcFxxFQKqnWpSlWRkJQzb2c1DIaDuvtfyLQTcs3sSCTxaA3qiaq
 wJljycsmrUvtEMQOuAWYXoKVKXg0u6fAo1Xyj95galQtzX9VLqY5rLQ64s3f2w==
From: Brice Waegeneire <brice@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add acpilight.
Date: Sat, 12 Feb 2022 11:44:32 +0100
Message-Id: <20220212104432.22611-1-brice@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.183.200; envelope-from=brice@HIDDEN;
 helo=relay7-d.mail.gandi.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (acpilight): New variable.
---
 gnu/packages/linux.scm | 42 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index bcbaa2166d..2d6c024906 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -35,7 +35,7 @@
 ;;; Copyright © 2019 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2019 Stefan Stefanović <stefanx2ovic@HIDDEN>
-;;; Copyright © 2019, 2020, 2021 Brice Waegeneire <brice@HIDDEN>
+;;; Copyright © 2019-2022 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright © 2019 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2020, 2021 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright © 2020 Pierre Neidhardt <mail@HIDDEN>
@@ -8806,3 +8806,43 @@ (define-public libgpiod
     (license (list license:lgpl2.1+   ;; libgpiod
                    license:gpl2+      ;; gpio-tools
                    license:lgpl3+)))) ;; C++ bindings
+
+(define-public acpilight
+  (package
+    (name "acpilight")
+    (version "1.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://gitlab.com/wavexx/acpilight.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1r0r3nx6x6vkpal6vci0zaa1n9dfacypldf6k8fxg7919vzxdn1w"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f  ;no tests
+       #:make-flags (list "prefix="
+                          (string-append "DESTDIR="
+                                         (assoc-ref %outputs "out")))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (add-after 'unpack 'patch
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "Makefile"
+               (("udevadm") "true"))
+             (substitute* "90-backlight.rules"
+               (("/bin")
+                (string-append (assoc-ref inputs "coreutils") "/bin")))
+             #t)))))
+    (inputs
+     (list python))
+    (home-page "https://gitlab.com/wavexx/acpilight")
+    (synopsis "Backward-compatibile xbacklight replacement")
+    (description "acpilight is a backward-compatibile replacement for
+xbacklight that uses the ACPI interface to set the display
+brightness.  On modern laptops acpilight can control both display and
+keyboard backlight uniformly on either X11, the console or Wayland.")
+    (license license:gpl3+)))

base-commit: 068d99978a0c9c6fb66f95455060c8d08ba55ac5
-- 
2.34.0





Acknowledgement sent to Brice Waegeneire <brice@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53953; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Apr 2022 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.